/* -------------------------------------------- */
/* learn-dash custom styles */
/* -------------------------------------------- */
.ribbon.enrolled {
  background: var(--wp--custom--button--primary-background) !important;
}
.ld-course-list-items
  .ld_course_grid
  .thumbnail.course
  .ribbon.enrolled:before {
  border-top-color: var(--wp--custom--button--primary-background);
  border-right-color: var(--wp--custom--button--primary-background);
}
.ld-course-list-items .ld_course_grid .btn-primary,
.ld-course-list-items .ld_course_grid .btn-primary:hover,
.ld-course-list-items .ld_course_grid .btn-primary:focus,
.ld-course-list-items .ld_course_grid .btn-primary:active {
  background-color: var(--wp--custom--button--primary-background);
  color: var(--wp--custom--button--primary-text);
  border-color: var(--wp--custom--button--primary-border-color);
  border-radius: var(--wp--custom--button--border-radius);
  transition: all ease 0.3s;
}
.ld-course-list-items .ld_course_grid .btn-primary:hover {
  opacity: 0.9;
  transition: all ease 0.3s;
}
.ast-post-format- .entry-header,
.entry-content .ld-course-status.ld-course-status-enrolled,
.custom-banner-content .learndash-wrapper .ld-status.ld-status-progress,
.entry-content .ld-tabs.ld-tab-count-1 {
  display: none !important;
}
.simplefavorite-button {
  display: inline-block;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background: #fff;
  border: 1px solid #7f2595;
  -webkit-box-shadow:
    0 0 2px 0 rgba(0, 0, 0, 0.1),
    1px 1px 1px 0 rgba(0, 0, 0, 0.1);
  box-shadow:
    0 0 2px 0 rgba(0, 0, 0, 0.1),
    1px 1px 1px 0 rgba(0, 0, 0, 0.1);
  padding: 0.5em 1em 0.5em 1em;
  position: relative;
  border-radius: 2px;
  cursor: pointer;
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
  margin-bottom: 0.5rem;
}
.simplefavorite-button.active {
  opacity: 1;
}
.custom_entry-banner {
  display: flex;
  gap: 1rem;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 2rem;
  border-radius: 12px;
  overflow: hidden;
  background: #f9f9f9;
}
.custom_entry-banner p {
  margin-bottom: 0;
}
.custom-banner-content > * + * {
  margin-bottom: 0.5rem;
}
.custom-banner-content {
  padding: 0 1.5rem;
  min-width: 55%;
}
.custom-banner-content .ld-progress-steps {
  display: none;
}

.custom-banner-thumbnail {
  position: relative;
}
.custom-banner-thumbnail img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
p:empty {
  display: none !important;
}
.custom-banner-thumbnail:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  background: linear-gradient(
    270deg,
    rgba(249, 249, 249, 0) 58.78%,
    #f9f9f9 98.69%
  );
}
.learndash-wrapper .ld-status-complete {
  background-color: #1ca425 !important;
}
.learndash-wrapper .ld-status-complete ~ .ld-item-title {
  color: #1ca425 !important;
}

.logged-in .custom_course-status {
  display: flex;
  gap: 1rem;
  align-items: center;
}
.custom_course-status .learndash-wrapper {
  width: 100%;
  display: flex;
  align-items: center;
}
.custom_course-status
  .learndash-wrapper
  .ld-course-status.ld-course-status-enrolled {
  width: 100%;
}
.custom_course-status a.button {
  border-radius: 4px;
  /* padding: 0.5rem 0.75rem; */
  min-width: max-content;
}
.ld-expand-button.ld-primary-background,
.learndash-wrapper .ld-expand-button.ld-button-alternate .ld-icon,
.ld-expand-button .ld-text {
  background-color: transparent !important;
  color: #909090 !important;
}
.ld-course-status-seg-price {
  display: none;
}
.logged-in .ld-course-status-seg-price {
  display: block;
}
.ld-content-action.ld-empty,
.ld-content-action .ld-course-step-back {
  display: none !important;
}
.custom-ld-logged-in {
  display: flex;
  gap: 1rem;
  align-items: center;
}

.ld-course-list-items .ld_course_grid .thumbnail.course {
  height: 100%;
}
.favorites-list {
  display: grid !important;
  gap: 1rem !important;
  grid-template-columns: repeat(auto-fit, minmax(18rem, 1fr)) !important;
}
.favorites-list li {
  width: 100% !important;
}
.favorites-list li:hover img {
  transform: scale(1) !important;
}
.favorites-list li a {
  display: grid;
  gap: 1rem;
}
.favorites-list li a img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 1;
  border-radius: 0.25rem;
  margin: 0;
}
.favorites-list .favourite-item {
  padding: 0.5rem !important;
  border: 1px solid #e0e0e0;
  border-radius: 0.25rem;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.favorites-list li:after,
.favorites-list li:before,
.favourite-item p + a {
  display: none !important;
}
.favorites-list .favourite-item p {
  margin: 0 !important;
}
.favorites-list .favourite-item p a,
.favorites-list .favourite-item p a img {
  display: block;
}
.favorites-list .favourite-item p a img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 0.25rem !important;
}

.ld-course-list-items
  .ld_course_grid
  .thumbnail.course
  .ld-progress.ld-progress-inline {
  margin: 0;
}
.ld-course-list-items .ld_course_grid .thumbnail.course {
  display: flex;
  flex-direction: column;
}
.ld-course-list-items .ld_course_grid .thumbnail.course .entry-title {
  font-size: var(--wp--preset--font-size--medium) !important;
}
.ld-course-list-items .ld_course_grid .thumbnail.course .caption {
  display: flex;
  gap: 1rem;
  height: 100%;
  flex-direction: column;
}
.ld-course-list-items
  .ld_course_grid
  .thumbnail.course
  .caption
  .ld_course_grid_button {
  margin-top: auto !important;
}

figure.wp-block-embed-vimeo {
  margin-bottom: 0;
}
.ask-the-gardener-block h4 {
  margin: 0;
}
.ask-the-gardener-block > * + * {
  margin-top: 1rem;
}
.ask-the-gardener-block {
  margin-top: 2.5rem;
  padding: 1rem;
  background-color: var(--wp--preset--color--primary-50);
  border: 1px solid var(--wp--custom--button--primary-border-color);
  border-radius: var(--wp--custom--button--border-radius);
  max-width: max-content;
}
.ld-cta-buttons {
  display: flex;
  gap: 1rem;
}
